Name:           libstrophe
Version:        0.13.0
Release:    2%{?dist}
Summary:        An XMPP library for C

License:        MIT and GPLv3
URL:            https://strophe.im/%{name}/
Source0:        https://github.com/strophe/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  zlib-devel
BuildRequires:  expat-devel
BuildRequires:  openssl-devel
BuildRequires:  doxygen
BuildRequires:  lcov

%description
libstrophe is a minimal XMPP library written in C. It has almost no
external dependencies, only an XML parsing library (expat or libxml
are both supported). It is designed for both POSIX and Windows
systems.



%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains HTML documentation for developing
applications that use %{name}.



%prep
%autosetup


%build
autoreconf -i -W all
%configure --disable-static --enable-coverage
%make_build
doxygen
make coverage  # results are in coverage/


%install
%make_install
rm -f %{buildroot}%{_libdir}/libstrophe.la

mkdir -p %{buildroot}%{_libdir}/%{name}/
cp -a examples/ %{buildroot}%{_libdir}/%{name}/
mv %{buildroot}%{_libdir}/%{name}/examples/.libs %{buildroot}%{_libdir}/%{name}/examples/libs
mv %{buildroot}%{_libdir}/%{name}/examples/.deps %{buildroot}%{_libdir}/%{name}/examples/deps
rm -f %{buildroot}%{_libdir}/%{name}/examples/.dirstamp
rm -f %{buildroot}%{_libdir}/%{name}/examples/deps/.dirstamp

mkdir -p %{buildroot}%{_pkgdocdir}/
cp -a docs/html/ %{buildroot}%{_pkgdocdir}/
cp -a coverage/ %{buildroot}%{_pkgdocdir}/html/


%check



%files
%license LICENSE.txt GPL-LICENSE.txt MIT-LICENSE.txt
%doc README AUTHORS ChangeLog 
%{_libdir}/%{name}.so.*


%files devel
%doc examples/README.md
%{_includedir}/strophe.h
%{_libdir}/%{name}.so
%{_libdir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc


%files doc
%{_pkgdocdir}/html/



%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.13.0-2
- Rebuilt for loongarch64

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.0-1
- initial build
